Bug 12538 - Solr removal
Summary: Solr removal
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 8233 13138
Blocks: 10992 13131 20974
  Show dependency treegraph
 
Reported: 2014-07-07 14:44 UTC by Jonathan Druart
Modified: 2018-06-21 13:34 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12538: Remove Solr without breaking anything else (87.16 KB, patch)
2014-07-07 14:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 12538: Remove Solr without breaking anything else (86.89 KB, patch)
2014-09-23 05:24 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 12538 : FOLLOW UP Remove Moose from the list of dependencies (844 bytes, patch)
2014-09-23 05:24 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 12538 : FOLLOW UP Remove Moose from the list of dependencies (906 bytes, patch)
2014-09-23 07:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 12538: Remove Solr without breaking anything else (86.98 KB, patch)
2014-10-03 18:05 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 12538 : FOLLOW UP Remove Moose from the list of dependencies (996 bytes, patch)
2014-10-03 18:06 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12538: one more file left (9.03 KB, patch)
2014-10-11 22:34 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2014-07-07 14:44:07 UTC
Since nobody is currently working on the zebra layer introduced by bug 8233, Solr won't never work.
Some code has been introduced in 3.10 to prove several search engines can cohabit into Koha but no help/fund has been found to go ahead.
It is useless to keep this code and to maintain an ambiguous situation.
Comment 1 Jonathan Druart 2014-07-07 14:54:59 UTC Comment hidden (obsolete)
Comment 2 Zeno Tajoli 2014-07-07 15:14:44 UTC
Hi,

it is not to coordinate this bug with 12478 ?
Comment 3 Chris Cormack 2014-07-08 00:34:42 UTC
I think it will need to take 12478 into consideration, the code for which is in a public branch already. But I dont think this is contigent on that, it just should make sure that removing the Solr code doesnt break the Elasticsearch stuff
Comment 4 Zeno Tajoli 2014-07-08 04:41:17 UTC
Yes, for example bug 12478 uses the system preference 'SearchEngine'
Comment 5 David Cook 2014-07-08 23:54:51 UTC
I wonder if Moose should be removed from C4/Installer/PerlDependencies.pm as well? Was it used anywhere else but in the Solr stuff?

As for removing Solr code breaking ElasticSearch stuff, I'd love to hear Robin weigh in. I imagine it might be an idea to keep the system preference (while removing the Solr reference) and perhaps that's it. I imagine the search engine switching in the current ES code could be updated to use a new model.
Comment 6 Robin Sheat 2014-07-09 02:11:19 UTC
There's very little overlap between them really, I'd be more inclined to have Jonathan remove everything, and I'll go through and un-revert the bits I want to keep.
Comment 7 David Cook 2014-07-09 23:31:41 UTC
(In reply to Robin Sheat from comment #6)
> There's very little overlap between them really, I'd be more inclined to
> have Jonathan remove everything, and I'll go through and un-revert the bits
> I want to keep.

+1
Comment 8 Jonathan Druart 2014-09-22 11:27:25 UTC
(In reply to Robin Sheat from comment #6)
> There's very little overlap between them really, I'd be more inclined to
> have Jonathan remove everything, and I'll go through and un-revert the bits
> I want to keep.

So, back to needs signoff
Comment 9 Chris Cormack 2014-09-23 05:24:02 UTC Comment hidden (obsolete)
Comment 10 Chris Cormack 2014-09-23 05:24:38 UTC Comment hidden (obsolete)
Comment 11 Jonathan Druart 2014-09-23 07:31:46 UTC Comment hidden (obsolete)
Comment 12 Kyle M Hall 2014-10-03 18:05:58 UTC
Created attachment 31993 [details] [review]
[PASSED QA] Bug 12538: Remove Solr without breaking anything else

Since nobody is currently working on the zebra layer introduced by bug
8233, Solr won't never work.
Some code has been introduced in 3.10 to prove several search engines
can cohabit into Koha but no help/fund has been found to go ahead.
It is useless to keep this code and to maintain an ambiguous situation.

I think the indexes configuration page could be restore later if someone
else introduces a new search engine into Koha.

Test plan:
Look at the code introduced by bug 8233 and verify all is removed.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 13 Kyle M Hall 2014-10-03 18:06:09 UTC
Created attachment 31994 [details] [review]
[PASSED QA] Bug 12538 : FOLLOW UP Remove Moose from the list of dependencies

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 14 Tomás Cohen Arazi 2014-10-11 20:04:04 UTC
Patches pushed to master.

Thanks Jonathan!
Comment 15 Jonathan Druart 2014-10-11 22:34:10 UTC
Created attachment 32281 [details] [review]
Bug 12538: one more file left
Comment 16 Tomás Cohen Arazi 2014-10-14 14:12:10 UTC
Followup pushed to master.

Thanks Jonathan.